Name: nvclock
Version: 0.6.2
Release: alt2

Summary: An overclocking tool for NVIDIA cards
Summary(ru_RU.UTF-8): Средство для разгона графических карт NVIDIA
Summary(uk_UA.UTF-8): Утиліта для "розгону" графічних карток NVIDIA
License: GPL
Group: System/Configuration/Hardware
Url: http://www.evil3d.net/products/nvclock
Source0: %name%version.tar.gz
Source1: %name.desktop
Source2: %name.png
Requires: NVIDIA_GLX
BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ glib-devel glib2-devel gtk+-devel libXft libatk-devel libexpat libfontconfig libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

%description
This program allows you to overclock your NVIDIA based graphics card
to reach their peak performance.

%description -l ru_RU.UTF-8
NVClock позволяет вручную изменять тактовую частоту процессоров графических
карт на основе набора микросхем NVIDIA, чтобы добиться предельной
производительности.

%description -l uk_UA.UTF-8
NVClock дозволяє користувачу змінювати тактову частоту процесорів графічних
карток на базі набору мікросхем NVIDIA для досягнення найбільшої
продуктивності.

%prep
%setup -q -n %name%version

%build
%configure
%make_build

%install
%makeinstall
install -p -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_datadir/applications/%name.desktop 
install -p -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_datadir/pixmaps/%name.png 
# Menu
%__mkdir -p %buildroot%_menudir
%__cat >%buildroot%_menudir/%name <<EOF
?package(%name): command="nvclock_gtk" needs="X11" \
section="Configuration/Hardware" title="NVClock" \
longtitle="An overclocking tool for NVIDIA cards" icon="%name.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/pixmaps/*
%_datadir/applications/*
%_menudir/%name
%doc AUTHORS ChangeLog COPYING FAQ README

%changelog
* Mon Dec 01 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.6.2-alt2
- Menu bug fixed

* Mon Feb 10 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.6.2-alt1
- security fixes, update

* Tue Nov 05 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.6-alt1
- 1st ALTLinux build (GTK2 only)
